1. 💸 Payments
Multigate
  • 🚀 Getting Started
  • 🔓 Authentication
    • Get Token
    • Refresh Token
    • Logout User
    • Reset Password
    • Get Current User Info
  • 👋 Onboarding
    • Create Subclient
    • Get All Subclients
    • Get Subclient
    • Update Subclient
    • Create Subclient Shareholder
    • Get Subclient Shareholders
    • Update Subclient Shareholder
    • Upload Subclient Documents
    • Get Subclient Documents
    • Delete Subclient
    • Submit Subclient
  • 🏦 Accounts
    • 📄 Statements
      • V2
        • Get statement by account entity Id
        • Download statement by account entity Id
      • Get Statement
      • Download statement
    • Create Virtual Account
    • Get Account
    • Get Accounts By
    • Get All Accounts
    • Simulate Inflow (UAT only)
  • 🔃 Conversions
    • Get Quote
    • Lock Rate
    • Get Trade
    • Get All Trades
  • 💸 Payments
    • 🏦 Banks
      • Get Bank Details
    • 👤 Beneficiaries
      • Create Beneficiary
      • Get All Beneficiaries
      • Get Beneficiary
      • Update Beneficiary
      • Validate Beneficiary Account (NGN only)
    • Create Single Transfer
      POST
    • Get Purpose Codes
      GET
    • Find Transfers
      GET
  • 🔔 Webhooks / Push Notifications
    • Add a New Client Configuration
    • Update Client Configuration Current Mode
    • Get Client Configuration
  • 📲 Remittance
    • Initiate Remittance
    • Get Remittance
  • 📥 Receivables
    • Create Receivable
    • Get Receivable
  1. 💸 Payments

Find Transfers

GET
/payment-service/api/v1/transaction/report
Filter transactions based on provided filter criteria and return paginated results.

Request

Query Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api-gateway-uat.mmacs.io/platform/payment-service/api/v1/transaction/report?onBehalfOf=undefined&transactionId=undefined&uniqueRequestId=undefined&batchId=undefined&internalStatus=undefined&status=undefined&sourceCurrencyIso3Code=undefined&isApprovalNeeded=undefined&startDate=undefined&endDate=undefined&pageNumber=undefined&pageSize=undefined'

Responses

🟢200OK
application/json
Filtered transactions successfully fetched
Bodyapplication/json

Example
{
    "message": "Successful",
    "data": [
        {
            "onBehalfOf": "ZnEzkE9tIQE_tOdPZ5i_Q",
            "uniqueRequestId": "ff6788fc-6aef-4c72-a825-3cf398d6e769",
            "sourceBankBicOrCode": "multigate",
            "sourceAccountNumber": "2316703173",
            "sourceCurrencyIso3Code": "NGN",
            "sourceCountryIso3Code": "NGA",
            "sourceAccountName": "Multigate Test Buyer",
            "sourceBankName": "Zenith Bank Plc",
            "amount": "10.00",
            "charge": "0.50",
            "totalAmount": "10.50",
            "chargeType": null,
            "createdBy": "solutionsdelivery+2025@multigate.io",
            "depositTellerName": "Multigate Test",
            "bankName": "PROVIDUS BANK",
            "entityId": "PQuFsWm8OeqaL4HdQOCwE",
            "postCode": "100001",
            "swiftCode": "UMPLNGLA",
            "accountName": "MULTIGATE PAYMENT LIMITED",
            "addressLine1": "18A, Ruxton Street, Ikoyi",
            "addressLine2": "",
            "emailAddress": "lateef+2@multigate.io",
            "accountNumber": "5401224020",
            "bankBicOrCode": "101",
            "countryIso3Code": "NGA",
            "currencyIso3Code": "NGN",
            "intermediaryBank": {
                "bic": "",
                "countryIso3Code": ""
            },
            "bankCountryIso3Code": "NGA",
            "beneficiaryId": "PQuFsWm8OeqaL4HdQOCwE",
            "beneficiaryDetails": {
                "bankName": "PROVIDUS BANK",
                "entityId": "PQuFsWm8OeqaL4HdQOCwE",
                "postCode": "100001",
                "swiftCode": "UMPLNGLA",
                "accountName": "MULTIGATE PAYMENT LIMITED",
                "addressLine1": "18A, Ruxton Street, Ikoyi",
                "addressLine2": "",
                "emailAddress": "lateef+2@multigate.io",
                "accountNumber": "5401224020",
                "bankBicOrCode": "101",
                "countryIso3Code": "NGA",
                "currencyIso3Code": "NGN",
                "intermediaryBank": {
                    "bic": "",
                    "countryIso3Code": ""
                },
                "bankCountryIso3Code": "NGA"
            },
            "purposeCode": "",
            "purposeCodeDescription": "",
            "reference": "Liveness Check",
            "transactionId": "PMT-260108-102804164071",
            "batchId": null,
            "businessName": "Multigate Test Buyer",
            "transactionType": "DR",
            "status": "processing",
            "comment": null,
            "createdAt": "2026-01-08T09:28:04.771Z",
            "updateAt": "2026-01-08T09:28:06.377Z",
            "responseMessage": "Processing",
            "responseCode": "01"
        },
        {
            "onBehalfOf": "ZnEzkE9tIQE_tOdPZ5i_Q",
            "uniqueRequestId": "cce35d18-3a4a-4ad3-9341-78aa5c30ce87",
            "sourceBankBicOrCode": "multigate",
            "sourceAccountNumber": "2316703173",
            "sourceCurrencyIso3Code": "NGN",
            "sourceCountryIso3Code": "NGA",
            "sourceAccountName": "Multigate Test Buyer",
            "sourceBankName": "Zenith Bank Plc",
            "amount": "10.00",
            "charge": "0.50",
            "totalAmount": "10.50",
            "chargeType": null,
            "createdBy": "solutionsdelivery+2025@multigate.io",
            "depositTellerName": "Multigate Test",
            "bankName": "PROVIDUS BANK",
            "entityId": "PQuFsWm8OeqaL4HdQOCwE",
            "postCode": "100001",
            "swiftCode": "UMPLNGLA",
            "accountName": "MULTIGATE PAYMENT LIMITED",
            "addressLine1": "18A, Ruxton Street, Ikoyi",
            "addressLine2": "",
            "emailAddress": "lateef+2@multigate.io",
            "accountNumber": "5401224020",
            "bankBicOrCode": "101",
            "countryIso3Code": "NGA",
            "currencyIso3Code": "NGN",
            "intermediaryBank": {
                "bic": "",
                "countryIso3Code": ""
            },
            "bankCountryIso3Code": "NGA",
            "beneficiaryId": "PQuFsWm8OeqaL4HdQOCwE",
            "beneficiaryDetails": {
                "bankName": "PROVIDUS BANK",
                "entityId": "PQuFsWm8OeqaL4HdQOCwE",
                "postCode": "100001",
                "swiftCode": "UMPLNGLA",
                "accountName": "MULTIGATE PAYMENT LIMITED",
                "addressLine1": "18A, Ruxton Street, Ikoyi",
                "addressLine2": "",
                "emailAddress": "lateef+2@multigate.io",
                "accountNumber": "5401224020",
                "bankBicOrCode": "101",
                "countryIso3Code": "NGA",
                "currencyIso3Code": "NGN",
                "intermediaryBank": {
                    "bic": "",
                    "countryIso3Code": ""
                },
                "bankCountryIso3Code": "NGA"
            },
            "purposeCode": "",
            "purposeCodeDescription": "",
            "reference": "Liveness Check",
            "transactionId": "PMT-260108-102321799406",
            "batchId": null,
            "businessName": "Multigate Test Buyer",
            "transactionType": "DR",
            "status": "completed",
            "comment": null,
            "createdAt": "2026-01-08T09:23:21.640Z",
            "updateAt": "2026-01-08T09:29:00.068Z",
            "responseMessage": "Successful",
            "responseCode": "00"
        },
        {
            "onBehalfOf": "ZnEzkE9tIQE_tOdPZ5i_Q",
            "uniqueRequestId": "ed87101d-69fe-4cf4-8231-e943c6b2155e",
            "sourceBankBicOrCode": "multigate",
            "sourceAccountNumber": "5753752201",
            "sourceCurrencyIso3Code": "NGN",
            "sourceCountryIso3Code": "NGA",
            "sourceAccountName": "Liveness Check Dec 16 API",
            "sourceBankName": "Zenith Bank Plc",
            "amount": "10.00",
            "charge": "0.50",
            "totalAmount": "10.50",
            "chargeType": "OUR",
            "createdBy": "solutionsdelivery+2025@multigate.io",
            "depositTellerName": "Multigate Test",
            "bankName": "ECOBANK NIGERIA PLC",
            "entityId": "yCsFmiWULeZx521yXKqq4",
            "postCode": "101233",
            "accountName": "ALIMI LATEEF AYOMIDE",
            "addressLine1": "16c Ruxton Road, Ikoyi, Lagos",
            "addressLine2": "",
            "emailAddress": "lateef@multigate.io",
            "accountNumber": "0023123730",
            "bankBicOrCode": "050",
            "countryIso3Code": "NGA",
            "currencyIso3Code": "NGN",
            "intermediaryBank": {
                "bic": "",
                "countryIso3Code": ""
            },
            "bankCountryIso3Code": "NGA",
            "beneficiaryId": null,
            "beneficiaryDetails": {
                "bankName": "ECOBANK NIGERIA PLC",
                "entityId": "yCsFmiWULeZx521yXKqq4",
                "postCode": "101233",
                "accountName": "ALIMI LATEEF AYOMIDE",
                "addressLine1": "16c Ruxton Road, Ikoyi, Lagos",
                "addressLine2": "",
                "emailAddress": "lateef@multigate.io",
                "accountNumber": "0023123730",
                "bankBicOrCode": "050",
                "countryIso3Code": "NGA",
                "currencyIso3Code": "NGN",
                "intermediaryBank": {
                    "bic": "",
                    "countryIso3Code": ""
                },
                "bankCountryIso3Code": "NGA"
            },
            "purposeCode": "",
            "purposeCodeDescription": "",
            "reference": "test",
            "transactionId": "PMT-260106-102730327630",
            "batchId": "c4f7f85c-1dfb-4809-a160-9d2763ded2f4",
            "businessName": "Multigate Test Buyer",
            "transactionType": "DR",
            "status": "completed",
            "comment": null,
            "createdAt": "2026-01-06T09:27:30.546Z",
            "updateAt": "2026-01-06T09:33:00.272Z",
            "responseMessage": "Successful",
            "responseCode": "00"
        }
    ],
    "totalItems": 3,
    "pageSize": 10,
    "currentPage": 1,
    "totalPages": 11
}
🟠400Bad Request
🟠404Record Not Found
Modified at 2026-01-08 09:59:07
Previous
Get Purpose Codes
Next
🔔 Webhooks / Push Notifications
Built with